Example #1
0
        public static List <SectionGradeBreakLabel> GetSectionGradeBreakLabels(Autodesk.AutoCAD.DynamoNodes.Document document)
        {
            List <SectionGradeBreakLabel> retLabels = new List <SectionGradeBreakLabel>();

            foreach (DBObject dbObj in GetLabelStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.GradeBreakLabelStyles))
            {
                SectionGradeBreakLabel labelObject = new SectionGradeBreakLabel(dbObj, false);
                retLabels.Add(labelObject);
            }
            return(retLabels);
        }
Example #2
0
        public static SectionGradeBreakLabel ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string labelStyleName)
        {
            SectionGradeBreakLabel retLabel = new SectionGradeBreakLabel(DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.GradeBreakLabelStyles, labelStyleName), false);

            return(retLabel);
        }
Example #3
0
        public static SectionGradeBreakLabel ByIndex(Autodesk.AutoCAD.DynamoNodes.Document document, int index)
        {
            SectionGradeBreakLabel retLabel = new SectionGradeBreakLabel(DBObjectByIndex(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.SectionLabelStyles.GradeBreakLabelStyles, index), false);

            return(retLabel);
        }